# coding: utf-8

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import print_function
from __future__ import absolute_import

import sys
import json
from clcommon.cpapi.plugins.directadmin import userdomains


try:
    user_name = sys.argv[1]
    res = userdomains(user_name, as_root=True)
    print(json.dumps(res))
    sys.exit(0)
except Exception as e:
    print(json.dumps(e))
    sys.exit(10)
